
local E = {
    ID = "cushing",
    Base = "base",
    Name = "[FuzzyLeo] Cushing Movie Police Box",
    Category = "Legacy Exteriors",
    Model = "models/FuzzyLeo/cushing2150/pbframe.mdl",
    ScannerOffset = Vector(42,0,50),
    Fallback = {
        pos = Vector(53,0,5),
        ang = Angle(0,0,0)
    },
    DoorAnimationTime = 0.4,
    PhaseMaterial = "models/FuzzyLeo/magicdoor/phasemat.vmt",
    Parts = {
        door = {
            model = "models/FuzzyLeo/cushing2150/pbdoors.mdl",
            posoffset=Vector(-29, 0, -45.8)
        }
    },
	Sounds={
		Door={
			enabled=true,
			open="FuzzyLeo/magicdoor/metroopen.wav",
			close="FuzzyLeo/magicdoor/metroclose.wav"
		},
	},
    ProjectedLight = {
        --color = Color(r,g,b), --Base color. Will use main interior light if not set.
        --warncolor = Color(r,g,b), --Warning color. Will use main interior warn color if not set.
        brightness = 0.1, --Light's brightness
        vertfov = 90,
        horizfov = 45, --vertical and horizontal field of view of the light. Will default to portal height and width.
        farz = 450, --FarZ property of the light. Determines how far the light projects.]]
        offset = Vector(-18, 0, 40), --Offset from box origin
        texture = "effects/flashlight/square" --Texture the projected light will use. You can get these from the Lamp tool.
    },
    Light={
        enabled=true,
        pos=Vector(0, 0, 118),
        color = Color(255,249,241),
    },
    Portal = {
        -- Generated by portals debug tool
        pos = Vector(29, 0, 45.8),
        ang = Angle(0, 0, 0),
        width = 47,
        height = 88,
        inverted = true,
    },
}

TARDIS:AddExterior(E)